import { InsightsItem } from '../../models/insights-item';
import * as i0 from "@angular/core";
export declare class InsightsCardComponent {
    private readonly clipboard;
    private readonly toastService;
    private readonly translateService;
    insight: InsightsItem;
    open: boolean;
    isLoading: boolean;
    content?: string;
    likeSelected: boolean;
    dislikeSelected: boolean;
    toggle(): void;
    onLikeSelected(): void;
    onDislikeSelected(): void;
    copyContent(): void;
    reloadContent(): void;
    private _requestInsight;
    static ɵfac: i0.ɵɵFactoryDeclaration<InsightsCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InsightsCardComponent, "s-insights-card", never, { "insight": { "alias": "insight"; "required": true; }; }, {}, never, never, false, never>;
}
